# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bytes/Random/Secure.pm) perl(Carp.pm) perl(Crypt/CBC.pm) perl(Crypt/Mode/CBC.pm) perl(Digest/SHA.pm) perl(ExtUtils/MakeMaker.pm) perl(MIME/Base64.pm) perl(Mouse.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Crypt-Mode-CBC-Easy
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Encrypts/decrypts text and verifies decrypted text with a checksum and a random initialization vect...
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SR/SRCHULO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A convenience class that wraps the Crypt::Mode::CBC manpage and adds random initialization vector support along with
a checksum to make sure that all decrypted text has not been tampered with.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE README
%perl_vendor_privlib/C*

%changelog
* Thu Jan 12 2017 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

